commit:     a9cc9c2452d72e088ce01a56b71957f304a7c6eb
Author:     Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Oct  5 23:09:49 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Oct  5 23:09:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a9cc9c24

x11-misc/gammy: new package; add version 0.9.58a and 9999 (live)

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>

 x11-misc/gammy/Manifest             |  1 +
 x11-misc/gammy/gammy-0.9.58a.ebuild | 63 +++++++++++++++++++++++++++++++++++++
 x11-misc/gammy/gammy-9999.ebuild    | 63 +++++++++++++++++++++++++++++++++++++
 x11-misc/gammy/metadata.xml         | 16 ++++++++++
 4 files changed, 143 insertions(+)

diff --git a/x11-misc/gammy/Manifest b/x11-misc/gammy/Manifest
new file mode 100644
index 00000000..f0d51f1b
--- /dev/null
+++ b/x11-misc/gammy/Manifest
@@ -0,0 +1 @@
+DIST gammy-0.9.58a.tar.gz 208411 BLAKE2B 
1681f5bbe49d8645a5f55be338c82fe6728bd2b643d5cff1343a3c3bc00ba06c7a903a1c4c6d8ca21f1e2e2991ecec79c392f17aeacb75f1b17f0994cc05b1f6
 SHA512 
fced7b742e15a70933146901dc07c8375bd7fffc6e000e8fa323029366e09d090c9c9c3e5d783fc5ad923259abf798649652af40e1a9bc83f6c60cbb81ee53a8

diff --git a/x11-misc/gammy/gammy-0.9.58a.ebuild 
b/x11-misc/gammy/gammy-0.9.58a.ebuild
new file mode 100644
index 00000000..9e6fa88b
--- /dev/null
+++ b/x11-misc/gammy/gammy-0.9.58a.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils qmake-utils xdg
+
+DESCRIPTION="Adaptive screen brightness/temperature"
+HOMEPAGE="https://getgammy.com/";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Fushko/${PN}.git";
+       KEYWORDS=""
+else
+       SRC_URI="https://github.com/Fushko/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       dev-qt/qtcore:5
+       x11-libs/libXxf86vm
+"
+DEPEND="
+       ${RDEPEND}
+       media-gfx/imagemagick
+"
+
+src_configure() {
+       eqmake5 PREFIX="${D}/usr"
+}
+
+src_install() {
+       default
+
+       local sizes="
+       128
+       16
+       32
+       64
+       "
+       cd ./icons || die
+       for size in ${sizes}; do
+               convert "${size}x${size}ball.ico" "${size}x${size}ball.png" || 
die
+               newicon -s "${size}" "${size}x${size}ball.png" "${PN}.png"
+       done
+
+       make_desktop_entry "${PN}" "${PN^}" "${PN}" "Graphics;Settings"
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

diff --git a/x11-misc/gammy/gammy-9999.ebuild b/x11-misc/gammy/gammy-9999.ebuild
new file mode 100644
index 00000000..9e6fa88b
--- /dev/null
+++ b/x11-misc/gammy/gammy-9999.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils qmake-utils xdg
+
+DESCRIPTION="Adaptive screen brightness/temperature"
+HOMEPAGE="https://getgammy.com/";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Fushko/${PN}.git";
+       KEYWORDS=""
+else
+       SRC_URI="https://github.com/Fushko/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       dev-qt/qtcore:5
+       x11-libs/libXxf86vm
+"
+DEPEND="
+       ${RDEPEND}
+       media-gfx/imagemagick
+"
+
+src_configure() {
+       eqmake5 PREFIX="${D}/usr"
+}
+
+src_install() {
+       default
+
+       local sizes="
+       128
+       16
+       32
+       64
+       "
+       cd ./icons || die
+       for size in ${sizes}; do
+               convert "${size}x${size}ball.ico" "${size}x${size}ball.png" || 
die
+               newicon -s "${size}" "${size}x${size}ball.png" "${PN}.png"
+       done
+
+       make_desktop_entry "${PN}" "${PN^}" "${PN}" "Graphics;Settings"
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

diff --git a/x11-misc/gammy/metadata.xml b/x11-misc/gammy/metadata.xml
new file mode 100644
index 00000000..a68db4e7
--- /dev/null
+++ b/x11-misc/gammy/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+    <maintainer type="person">
+        <email>[email protected]</email>
+        <name>Maciej Barć</name>
+    </maintainer>
+    <upstream>
+        <remote-id type="github">Fushko/gammy</remote-id>
+    </upstream>
+    <longdescription>
+        Gammy is a GUI tool for adjusting pixel brightness/temperature 
automatically or manually.
+        It can dim the screen if its content is too bright, or brighten it 
otherwise. This can help your eyes adjust when switching between dark and light 
windows, especially at night or in suboptimal lighting conditions.
+        Screenshots available on its website.
+    </longdescription>
+</pkgmetadata>

Reply via email to